Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryPackageReferenceRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryPackageReferenceRule

- Checks for explicit package reference for classes that Groovy imports by default, such as java.lang.String, java.util.Map and groovy.lang.Closure, as well as classes that were explicitly imported.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority